Bug 1027475 - [abrt] gdb-7.6.1-42.fc19: visit_decref: Process /usr/bin/gdb was killed by signal 11 (SIGSEGV)
[abrt] gdb-7.6.1-42.fc19: visit_decref: Process /usr/bin/gdb was killed by si...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:f60b29e85cbecf3906e420a9371...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 17:27 EST by mdmpsyd@gmail.com
Modified: 2015-02-17 14:06 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:06:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (21.90 KB, text/plain)
2013-11-06 17:27 EST, mdmpsyd@gmail.com
no flags Details
File: cgroup (157 bytes, text/plain)
2013-11-06 17:27 EST, mdmpsyd@gmail.com
no flags Details
File: core_backtrace (9.19 KB, text/plain)
2013-11-06 17:27 EST, mdmpsyd@gmail.com
no flags Details
File: dso_list (1.90 KB, text/plain)
2013-11-06 17:27 EST, mdmpsyd@gmail.com
no flags Details
File: environ (366 bytes, text/plain)
2013-11-06 17:27 EST, mdmpsyd@gmail.com
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-06 17:27 EST, mdmpsyd@gmail.com
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-06 17:27 EST, mdmpsyd@gmail.com
no flags Details
File: maps (9.43 KB, text/plain)
2013-11-06 17:27 EST, mdmpsyd@gmail.com
no flags Details
File: open_fds (452 bytes, text/plain)
2013-11-06 17:27 EST, mdmpsyd@gmail.com
no flags Details
File: proc_pid_status (893 bytes, text/plain)
2013-11-06 17:27 EST, mdmpsyd@gmail.com
no flags Details
File: var_log_messages (719 bytes, text/plain)
2013-11-06 17:27 EST, mdmpsyd@gmail.com
no flags Details

  None (edit)
Description mdmpsyd@gmail.com 2013-11-06 17:27:02 EST
Version-Release number of selected component:
gdb-7.6.1-42.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        gdb --batch -ex 'python execfile(\"/usr/libexec/abrt-gdb-exploitable\")' -ex 'core-file ./coredump' -ex 'abrt-exploitable 4 ./exploitable'
crash_function: visit_decref
executable:     /usr/bin/gdb
kernel:         3.11.6-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 visit_decref at /usr/src/debug/Python-2.7.5/Modules/gcmodule.c:429
 #1 dict_traverse at /usr/src/debug/Python-2.7.5/Objects/dictobject.c:2123
 #2 subtract_refs at /usr/src/debug/Python-2.7.5/Modules/gcmodule.c:456
 #3 collect at /usr/src/debug/Python-2.7.5/Modules/gcmodule.c:999
 #4 collect_generations at /usr/src/debug/Python-2.7.5/Modules/gcmodule.c:1124
 #5 _PyObject_GC_Malloc at /usr/src/debug/Python-2.7.5/Modules/gcmodule.c:1585
 #6 _PyObject_GC_New at /usr/src/debug/Python-2.7.5/Modules/gcmodule.c:1595
 #7 PyDict_New at /usr/src/debug/Python-2.7.5/Objects/dictobject.c:286
 #8 analyze_child_block at /usr/src/debug/Python-2.7.5/Python/symtable.c:756
 #9 analyze_block at /usr/src/debug/Python-2.7.5/Python/symtable.c:701
Comment 1 mdmpsyd@gmail.com 2013-11-06 17:27:10 EST
Created attachment 820762 [details]
File: backtrace
Comment 2 mdmpsyd@gmail.com 2013-11-06 17:27:13 EST
Created attachment 820763 [details]
File: cgroup
Comment 3 mdmpsyd@gmail.com 2013-11-06 17:27:16 EST
Created attachment 820764 [details]
File: core_backtrace
Comment 4 mdmpsyd@gmail.com 2013-11-06 17:27:20 EST
Created attachment 820765 [details]
File: dso_list
Comment 5 mdmpsyd@gmail.com 2013-11-06 17:27:24 EST
Created attachment 820766 [details]
File: environ
Comment 6 mdmpsyd@gmail.com 2013-11-06 17:27:27 EST
Created attachment 820767 [details]
File: exploitable
Comment 7 mdmpsyd@gmail.com 2013-11-06 17:27:31 EST
Created attachment 820768 [details]
File: limits
Comment 8 mdmpsyd@gmail.com 2013-11-06 17:27:35 EST
Created attachment 820769 [details]
File: maps
Comment 9 mdmpsyd@gmail.com 2013-11-06 17:27:38 EST
Created attachment 820770 [details]
File: open_fds
Comment 10 mdmpsyd@gmail.com 2013-11-06 17:27:41 EST
Created attachment 820771 [details]
File: proc_pid_status
Comment 11 mdmpsyd@gmail.com 2013-11-06 17:27:44 EST
Created attachment 820772 [details]
File: var_log_messages
Comment 12 Jan Kratochvil 2013-11-07 02:08:41 EST
But there is a memory corruption so probably not fixable without a reproducer.
Comment 13 Fedora End Of Life 2015-01-09 15:30:17 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-02-17 14:06:46 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.